EncryptedEmails

Authorize EncryptedEmail

POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Authorize 
POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Authorize?firstName=fn&lastName=ln&email=email&company=company 

Validates Authorization for an encrypted email. If RequireUserInfo is true, and no authorization is present inputting a recipient email will produce a limited authorization token.

Returns: Limited Authorization Token, a Forbidden if unauthorized, or a 204 No content if provided authorization is valid.

Get EncryptedEmail

GET https://account.sf-api.com/sf/v3/EncryptedEmails(id) 
GET https://account.sf-api.com/sf/v3/EncryptedEmails(id)?firstName=fn&lastName=ln&email=email&company=company 

Get EncryptedEmail by Id. If EncryptedEmail.RequireUserInfo is true, the user info query parameters are required.

Returns: EncryptedEmail with corresponding Id

Get EncryptedEmail Message Thread

GET https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Thread 
GET https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Thread?firstName=fn&lastName=ln&email=email&company=company 

Get list of EncryptedEmail objects in a single email thread.

Only messages to which the current logged in User has access are returned.

If EncryptedEmail.RequireUserInfo is true, the user info query parameters are required.

Returns: Feed of EncryptedEmail objects

Get EncryptedEmail by Share Id

GET https://account.sf-api.com/sf/v3/Shares(id)/EncryptedEmail 

Gets the EncryptedEmail associated with the Share.

shareIdString Share Id
includeExpiredBoolean Specifies whether or not expired shares should be returned. Set to false by default

Returns: Associated EncryptedEmail

Create EncryptedEmail

POST https://account.sf-api.com/sf/v3/EncryptedEmails 
            { 
              "ToRecipients":[{"Email":"email@domain.com"}, {"Email":"email2@domain.com"}], 
              "CcRecipients":[{"Email":"email@domain.com"}, {"Email":"email2@domain.com"}], 
              "Subject": "Email Subject", 
              "NotifyOnUse": true, 
              "ExpirationDays":180, 
              "RequireUserInfo": false, 
              "RequireLogin": true 
            } 

Create a new empty EncryptedEmail without a body or attachments. This request does not Send the EncryptedEmail, see the "Send EncryptedEmail" endpoint for steps to send a new EncryptedEmail

encryptedEmailParamsEncryptedEmailCreateParams Creation Parameters

Returns: EncryptedEmail

Reply to an EncryptedEmail

POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Reply 
            { 
              "ToRecipients":[{"Email":"email@domain.com"}, {"Email":"email2@domain.com"}], 
              "CcRecipients":[{"Email":"email@domain.com"}, {"Email":"email2@domain.com"}], 
              "Subject": "Email Subject", 
              "NotifyOnUse": true, 
              "ExpirationDays":180 
            } 

Create a new EncryptedEmail in reply to another EncryptedEmail. This request does not Send the EncryptedEmail, see the "Send EncryptedEmail" endpoint for steps to send a new EncryptedEmail

idString EncryptedEmail id
encryptedEmailParamsEncryptedEmailReplyParams Parameters

Returns: Created EncryptedEmail

Reply to all EncryptedEmail Recipients

POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/ReplyAll 
            { 
              "Subject":"subject", 
              "ExpirationDays":180 
            } 

Create EncryptedEmail in Reply to all recipients in the EncryptedEmail identified by the provided Id, including ToRecipients, CcRecipients, and BccRecipients. This request does not Send the EncryptedEmail, see the "Send EncryptedEmail" endpoint for steps to send a new EncryptedEmail

idString Encrypted email id
encryptedEmailParamsEncryptedEmailParams Parameters

Returns: Create EncryptedEmail

Send EncryptedEmail

POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Send 
            { 
              "Message": {"Id": "messageFileId"}, 
              "Attachments": [{"Id": "id1"}, {"Id": "id2"}], 
            } 

Sending an EncryptedEmail is a multi-step process:

1. Create an empty EncryptedEmail using the "Create EncryptedEmail" or "Reply to EncryptedEmail" endpoints

2. Upload the message body as raw text or a text file using the "Upload EncryptedEmail Message" endpoint

3. Send the EncryptedEmail using the "Send EncryptedEmail" endpoint, providing the fileId uploaded in step 2 as the "Message" Item parameter. Provide a list of optional Item attachments during this step as well

idString EncryptedEmail id
encryptedEmailSendParamsEncryptedEmailSendParams Parameters

Upload EncryptedEmail Message

POST https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Upload2 
            { 
              "Method":"Standard", 
              "Raw": true, 
              "FileName":"message.txt", 
              "FileSize": 0 
            } 

Upload EncryptedEmail message. For simplicity, it is recommended to send the request with the body parameter "Raw": true. The Api endpoint will respond with an UploadSpecification object with a ChunkUri value, which is the url to which the message body can be POSTed as a file. The "Raw" flag allows you to POST the EncryptedEmail body as a text string in the Http request, instead of the traditional multi-part file approach, which is preferable for a simple text file.

This endpoint behaves the same way as Items(id)/Upload2, which can be referenced for more details

parentidString EncryptedEmail Id
uploadParamsUploadRequestParams Parameters
expirationDaysInt32? Message expiration days

Returns: UploadSpecification object

Download EncryptedEmail Message

GET https://account.sf-api.com/sf/v3/EncryptedEmails(id)/Message?aliasId=Id&redirect=true 
idString EncryptedEmail id
aliasIdString ShareAlias Id. Must be provided if EncryptedEmail.RequireUserInfo is true.
redirectBoolean Whether the request should immediately redirect to downloading the file

Returns: File if redirect=true, DownloadSpecification object otherwise

Delete EncryptedEmail

DELETE https://account.sf-api.com/sf/v3/EncryptedEmails(id) 

Access to message and attachments via created ShareAliases will be revoked as well.

idString EncryptedEmail Id